Merge lp:~zyga/snapcraft/fix-1484596 into lp:~snappy-dev/snapcraft/core

Proposed by Zygmunt Krynicki
Status: Merged
Approved by: Daniel Holbach
Approved revision: no longer in the source branch.
Merged at revision: 200
Proposed branch: lp:~zyga/snapcraft/fix-1484596
Merge into: lp:~snappy-dev/snapcraft/core
Diff against target: 200 lines (+25/-0)
1 file modified
integration-tests/units/jobs.pxu (+25/-0)
To merge this branch: bzr merge lp:~zyga/snapcraft/fix-1484596
Reviewer Review Type Date Requested Status
Daniel Holbach (community) Approve
Leo Arias (community) Approve
Review via email: mp+271863@code.launchpad.net

Commit message

Add 'simple' and 'has-leftovers' flags to all integration tests job units.

To post a comment you must log in.
lp:~zyga/snapcraft/fix-1484596 updated
187. By Sergio Schvezov

Used builddir as a base for setup.py overrides by sergiusens approved by ted

Revision history for this message
Leo Arias (elopio) wrote :

Thanks zyga. I tested it with https://code.launchpad.net/~zyga/checkbox/fix-1484596/+merge/271890 and it works as promised.

Leaving my +1, waiting for the other branch to be released to top-approve.

review: Approve
lp:~zyga/snapcraft/fix-1484596 updated
188. By Sergio Schvezov

Use relative paths for image creation by sergiusens approved by elopio

189. By Sergio Schvezov

Notify user why the password is being requested by sergiusens approved by elopio

190. By Sergio Schvezov

Load the config before trying to run by sergiusens approved by elopio

191. By Sergio Schvezov

Remove modules from plugins and infer it from the file name to follow the spec by sergiusens approved by elopio

Revision history for this message
Zygmunt Krynicki (zyga) wrote :

Just FYI I've also proposed https://code.launchpad.net/~zyga/checkbox/simple-jobs/+merge/271891 and when it lands all of the jobs can be simplified to have just three lines (at least).L

id: foo
command: blah
flags: simple

lp:~zyga/snapcraft/fix-1484596 updated
192. By Sergio Schvezov

Enable ports for architectures that are not amd64 or i386 by sergiusens approved by ogra

193. By Sergio Schvezov

Local plugins as fallback instead of special casing to follow the spec by sergiusens approved by sergiusens,elopio

194. By Michael Vogt

Fetch all packages in a single download run with proper progress by mvo approved by dholbach

195. By Michael Vogt

stage package libgudev-1.0-0, which makes the godd snap actually work by dholbach approved by sergiusens

196. By Sergio Schvezov

Update docs to reflect list to dictionary change for services example by sergiusens approved by elopio

197. By Federico Gimenez

plainbox test for building the examples by fgimenez approved by dholbach

198. By Leo Arias

Fixed the python depends on the snapcraft-examples package. by elopio approved by sergiusens

199. By Ted Gould

Choose the python path based on the version installed by ted approved by sergiusens

Revision history for this message
Daniel Holbach (dholbach) wrote :

With the checkbox branch landed, does this MP need any update?

Revision history for this message
Daniel Holbach (dholbach) wrote :

Good work!

review: Approve
lp:~zyga/snapcraft/fix-1484596 updated
200. By Zygmunt Krynicki

Add 'simple' and 'has-leftovers' flags to all integration tests job units. by zyga approved by dholbach,elopio

Preview Diff

[H/L] Next/Prev Comment, [J/K] Next/Prev File, [N/P] Next/Prev Hunk
1=== modified file 'integration-tests/units/jobs.pxu'
2--- integration-tests/units/jobs.pxu 2015-09-20 14:34:08 +0000
3+++ integration-tests/units/jobs.pxu 2015-09-21 19:45:56 +0000
4@@ -6,6 +6,7 @@
5 OUTPUT=$(${SNAPCRAFT} pull 2>&1)
6 test $? = 1 || exit 1
7 echo $OUTPUT | grep "Could not find snapcraft\.yaml\."
8+flags: simple has-leftovers
9
10 id: snapcraft/normal/assemble-meta-externally
11 plugin: shell
12@@ -17,6 +18,7 @@
13 # care where (and you don't need snappy-metadata to find it)
14 touch copy-meta # instructs Makefile to copy snappy/ itself
15 ${SNAPCRAFT} assemble
16+flags: simple has-leftovers
17
18 id: snapcraft/normal/assemble-meta
19 plugin: shell
20@@ -39,6 +41,7 @@
21 if [ -e ./snap/bin/not-wrapped.wrapper ]; then
22 exit 1
23 fi
24+flags: simple has-leftovers
25
26 id: snapcraft/normal/local-source
27 plugin: shell
28@@ -51,6 +54,7 @@
29 test "$(readlink parts/make-project/build)" = "$(pwd)"
30 ${SNAPCRAFT} stage
31 test -e stamp-install
32+flags: simple has-leftovers
33
34 id: snapcraft/normal/local-plugin
35 plugin: shell
36@@ -60,6 +64,7 @@
37 cp -rT $PLAINBOX_PROVIDER_DATA/local-plugin .
38 ${SNAPCRAFT} stage
39 test -e stage/build-stamp
40+flags: simple has-leftovers
41
42 id: snapcraft/normal/simple-tar
43 plugin: shell
44@@ -80,6 +85,7 @@
45 test -e stage/parent
46 test -e stage/slash
47 test "$(./stage/bin/test)" = "tarproject"
48+flags: simple has-leftovers
49
50 id: snapcraft/normal/pypi-config
51 plugin: shell
52@@ -94,6 +100,7 @@
53 test -f ./snap/usr/bin/python3
54 test -f ./snap/meta/hooks/config
55 grep -q 'exec "usr/bin/config.py" $*' ./snap/meta/hooks/config
56+flags: simple has-leftovers
57
58 id: snapcraft/normal/simple-make
59 plugin: shell
60@@ -103,6 +110,7 @@
61 cp -rT $PLAINBOX_PROVIDER_DATA/simple-make .
62 ${SNAPCRAFT} stage
63 test "$(./stage/bin/test)" = "Hello world"
64+flags: simple has-leftovers
65
66 id: snapcraft/normal/simple-make-filesets
67 plugin: shell
68@@ -121,6 +129,7 @@
69 grep -q 'file1' ./snap/share/file1
70 grep -q 'file2' ./snap/share/file2
71 grep -q 'file1' ./snap/new/dir2/file1
72+flags: simple has-leftovers
73
74 id: snapcraft/normal/simple-make-clean
75 plugin: shell
76@@ -140,6 +149,7 @@
77 # Clean a second time doesn't fail.
78 # Regression test for https://bugs.launchpad.net/snapcraft/+bug/1497371
79 ${SNAPCRAFT} clean
80+flags: simple has-leftovers
81
82 id: snapcraft/normal/simple-cmake
83 plugin: shell
84@@ -149,6 +159,7 @@
85 cp -rT $PLAINBOX_PROVIDER_DATA/simple-cmake .
86 ${SNAPCRAFT} stage
87 test "$(./stage/bin/simple-cmake)" = "It's a CMake world"
88+flags: simple has-leftovers
89
90 id: snapcraft/normal/simple-copy
91 plugin: shell
92@@ -158,6 +169,7 @@
93 cp -rT $PLAINBOX_PROVIDER_DATA/simple-copy .
94 ${SNAPCRAFT} stage
95 test "$(cat ./stage/dst)" = "I got copied"
96+flags: simple has-leftovers
97
98 id: snapcraft/normal/conflicts
99 plugin: shell
100@@ -168,6 +180,7 @@
101 OUTPUT=$(${SNAPCRAFT} stage 2>&1)
102 test $? = 1 || exit 1
103 echo $OUTPUT | grep "Error: parts p1 and p2 have the following file paths in common which have different contents: bin/test" # squished output by bash
104+flags: simple has-leftovers
105
106 id: snapcraft/normal/dependencies
107 plugin: shell
108@@ -180,6 +193,7 @@
109 test "$(${SNAPCRAFT} shell p3)" = 'p1
110 p1
111 p2'
112+flags: simple has-leftovers
113
114 id: snapcraft/normal/dependencies-circular
115 plugin: shell
116@@ -191,6 +205,7 @@
117 OUTPUT=$(${SNAPCRAFT} pull 2>&1)
118 test $? = 1 || exit 1
119 echo $OUTPUT | grep -i "circular dependency"
120+flags: simple has-leftovers
121
122 id: snapcraft/normal/dependencies-fail
123 plugin: shell
124@@ -201,6 +216,7 @@
125 sed -i '/after/d' snapcraft.yaml
126 ${SNAPCRAFT} build
127 test $? = 1 || exit 1
128+flags: simple has-leftovers
129
130 id: snapcraft/normal/bzr-head
131 plugin: shell
132@@ -216,6 +232,7 @@
133 test "$(bzr revno -r -1 parts/bzr/src)" = "2"
134 ${SNAPCRAFT} pull # test pull doesn't fail
135 test "$(bzr revno -r -1 parts/bzr/src)" = "2"
136+flags: simple has-leftovers
137
138 id: snapcraft/normal/bzr-tag
139 plugin: shell
140@@ -232,6 +249,7 @@
141 test "$(bzr revno -r -1 parts/bzr/src)" = "1"
142 ${SNAPCRAFT} pull # test pull doesn't fail
143 test "$(bzr revno -r -1 parts/bzr/src)" = "1"
144+flags: simple has-leftovers
145
146 id: snapcraft/normal/git-head
147 plugin: shell
148@@ -248,6 +266,7 @@
149 test "$(git -C parts/git/src log -1 --oneline | cut -d' ' -f2)" = "2"
150 ${SNAPCRAFT} pull
151 test "$(git -C parts/git/src log -1 --oneline | cut -d' ' -f2)" = "2"
152+flags: simple has-leftovers
153
154 id: snapcraft/normal/git-tag
155 plugin: shell
156@@ -265,6 +284,7 @@
157 test "$(git -C parts/git/src log -1 --oneline | cut -d' ' -f2)" = "1"
158 ${SNAPCRAFT} pull
159 test "$(git -C parts/git/src log -1 --oneline | cut -d' ' -f2)" = "1"
160+flags: simple has-leftovers
161
162 id: snapcraft/normal/git-branch
163 plugin: shell
164@@ -285,6 +305,7 @@
165 test "$(git -C parts/git/src log -2 --oneline | cut -d' ' -f2 | tr '\n' ' ')" = "3 1 "
166 ${SNAPCRAFT} pull
167 test "$(git -C parts/git/src log -2 --oneline | cut -d' ' -f2 | tr '\n' ' ')" = "3 1 "
168+flags: simple has-leftovers
169
170 id: snapcraft/normal/hg-head
171 plugin: shell
172@@ -301,6 +322,7 @@
173 test "$(hg log --cwd parts/mercurial/src --template "{desc}" -r -1)" = "2"
174 ${SNAPCRAFT} pull
175 test "$(hg log --cwd parts/mercurial/src --template "{desc}" -r -1)" = "2"
176+flags: simple has-leftovers
177
178 id: snapcraft/normal/hg-tag
179 plugin: shell
180@@ -318,6 +340,7 @@
181 test "$(ls -1 parts/mercurial/src/ | wc -l )" = "1"
182 ${SNAPCRAFT} pull
183 test "$(ls -1 parts/mercurial/src/ | wc -l )" = "1"
184+flags: simple has-leftovers
185
186 id: snapcraft/normal/hg-branch
187 plugin: shell
188@@ -336,6 +359,7 @@
189 test -e parts/mercurial/src/second
190 ${SNAPCRAFT} pull
191 test -e parts/mercurial/src/second
192+flags: simple has-leftovers
193
194 id: snapcraft/normal/pip-requirements
195 plugin: shell
196@@ -346,3 +370,4 @@
197 ${SNAPCRAFT} pull
198 test -f parts/python2/install/usr/lib/python2.7/argparse.py
199 test -f parts/python3/install/usr/lib/python3.4/argparse.py
200+flags: simple has-leftovers

Subscribers

People subscribed via source and target branches